(function() {

	
	// main window
	var mainWindow = Ti.UI.createWindow({
		backgroundColor : 'gray',
        top : '0dp',
		orientationModes: [Titanium.UI.PORTRAIT],
		navBarHidden: true,
		exitOnClose : true
	});

	// map
	var Map = require('ti.map');
	var mapView = Map.createView({
		region : {
			latitude: 41.905575,
			longitude: 12.475369,
			latitudeDelta: 0.05,
			longitudeDelta: 0.05
		},
		regionFit : true,
		animate : true,
		userLocation : true,
		top : '0dp',
		bottom : '0dp', 
		zIndex : 0
	});
	
	mainWindow.add(mapView);
	
	//mainWindow opens: fill map with annotations
	mainWindow.addEventListener('open', function() {
		fillMapWithPois();
	});

		
	function fillMapWithPois(){
		var annotationsToAdd=[];

		var annotation=Map.createAnnotation({
			latitude : 41.905575,
			longitude : 12.475369,
			title : "POI NUMBER : 1",
			subtitle: ' tap on left icon for details ',
			image : "graphics/icons/RES.png",
			animate : false,
			leftButton: "graphics/icons/RES.png"
		});
		var annotation2=Map.createAnnotation({
			latitude : 41.907575,
			longitude : 12.477369,
			title : "POI NUMBER : 1 bis",
			subtitle: ' tap on left icon for details ',
			image : "graphics/icons/RES0.png",
			animate : false,
			leftButton: "graphics/icons/RES0.png"
		});
		annotationsToAdd.push(annotation);
		annotationsToAdd.push(annotation2);

		mapView.addAnnotations(annotationsToAdd);
	}

	mainWindow.open();
    
    
    
    
})();
